Only public postgres domains recognized
Priority: Normal

Assignee: Denis Rouzaud

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Linux and Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25949

Description

When a domain like this is defined in the public schema:

CREATE DOMAIN public.farbdomain

  AS text

  COLLATE pg_catalog."default" 

  CONSTRAINT domainconstraint CHECK (VALUE = ANY (ARRAY['rot'::text, 'geld'::text, 'blau'::text]));

ALTER DOMAIN public.farbdomain

  OWNER TO postgres;

And it's defined for a column in no matter what schema:

CREATE TABLE boekat.farben

(

  id integer NOT NULL,

  farbe farbdomain,

  geom geometry(Geometry,25832),

  CONSTRAINT farben_pkey PRIMARY KEY (id)

)

We can select a column with the type farbdomain it as an enumeration drop down in the attribute form.

But when the domain is not in public schema, enumeration as a widget type is not available and it appears as text.

Associated revisions

Revision 498e5518 - 2018-02-10 08:26 PM - Denis Rouzaud

[postgres] fix domain not in public schema

fix #18053

correctly set enumeration widget in case the domain is not in public schema

also fixes an issue if two domain with the same are present in two schemas

Revision 1f051ff1 - 2018-02-11 10:21 PM - Denis Rouzaud

[postgres] fix domain not in public schema

fix #18053

see PR #6304
History

#1 - 2018-02-08 04:31 PM - David Signer

- Assignee set to Denis Rouzaud

#2 - 2018-02-11 10:34 PM - Denis Rouzaud

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|498e55186cb3fc6cd8470ce931693c4d72708cef.

#3 - 2018-02-21 09:19 PM - Giovanni Manghi

- Resolution set to fixed/implemented
